import { AfterViewInit } from '@angular/core';
import { IgxToolbarToken } from './token';
import { OverlaySettings } from '../../services/overlay/utilities';
import { IFilteringExpressionsTree } from '../../data-operations/filtering-expressions-tree';
import * as i0 from "@angular/core";
/**
 * Provides a pre-configured button to open the advanced filtering dialog of the grid.
 *
 *
 * @igxModule IgxGridToolbarModule
 * @igxParent IgxGridToolbarComponent
 *
 * @example
 * ```html
 * <igx-grid-toolbar-advanced-filtering></igx-grid-toolbar-advanced-filtering>
 * <igx-grid-toolbar-advanced-filtering>Custom text</igx-grid-toolbar-advanced-filtering>
 * ```
 */
export declare class IgxGridToolbarAdvancedFilteringComponent implements AfterViewInit {
    private toolbar;
    /**
     * @hidden @internal
     */
    protected numberOfColumns: number;
    /**
     * Returns the grid containing this component.
     */
    get grid(): import("igniteui-angular").GridType;
    overlaySettings: OverlaySettings;
    constructor(toolbar: IgxToolbarToken);
    /**
     * @hidden
     */
    ngAfterViewInit(): void;
    protected extractUniqueFieldNamesFromFilterTree(filteringTree?: IFilteringExpressionsTree): string[];
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxGridToolbarAdvancedFilteringComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgxGridToolbarAdvancedFilteringComponent, "igx-grid-toolbar-advanced-filtering", never, { "overlaySettings": { "alias": "overlaySettings"; "required": false; }; }, {}, never, ["*"], true, never>;
}
